﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Net;

namespace DZConverterLib.Auth
{
    public class Filefactory : System.Net.WebClient
    {
        public Filefactory()
        {
            this.DownloadFileCompleted += new System.ComponentModel.AsyncCompletedEventHandler(Filefactory_DownloadFileCompleted);
        }

        public string DownfileName;

        public void DownLoadSync(Uri PDFurl, string DownloadFilePath)
        {
            try
            {
                System.Net.HttpWebRequest request = (System.Net.HttpWebRequest)System.Net.WebRequest.Create(PDFurl);
                System.Net.NetworkCredential credentials = Crediential.GetAdminCrediential(PDFurl.ToString());
                request.Credentials = credentials;
                System.Net.HttpWebResponse response = (System.Net.HttpWebResponse)request.GetResponse();
                response.Close();
                this.Credentials = credentials;
            }
            catch (Exception ex)
            {
                System.Diagnostics.Debug.WriteLine(ex.ToString());
            }

            this.DownfileName = DownloadFilePath;
            this.DownloadFileAsync(PDFurl, DownloadFilePath);
        }

        public void UpLoadSync(Uri UpLoadUri, string FileName)
        {

            //this.UploadFileAsync(UpLoadUri, FileName);
        }

        void client_UploadFileCompleted(object sender, UploadFileCompletedEventArgs e)
        {

        }


        void Filefactory_DownloadFileCompleted(object sender, System.ComponentModel.AsyncCompletedEventArgs e)
        {
            if (DownloadCompleted != null)
            {
                FileFactoryEventsArgs args = new FileFactoryEventsArgs
                {
                    error = e.Error,
                    DownloadFileName = DownfileName,
                    DocumentName = ""
                };

                DownloadCompleted(this, args);
            }
        }

        public event EventHandler<FileFactoryEventsArgs> DownloadCompleted;

    }
}
